#pragma once

#include <sys/types.h>

struct klist_user {
    u_int id;
    char *name;
    u_int local_id;
    u_int discord_id;
    u_int google_id;
};
typedef struct klist_user klist_user;

klist_user *klist_user_init();
void klist_user_deinit(klist_user *);


struct klist_stage {
    u_int id;
    char *name;
    char *desc;
};
typedef struct klist_stage klist_stage;

klist_stage *klist_stage_init();
void klist_stage_deinit(klist_stage *);


struct klist_list {
    u_int id;
    char *name;
    char *desc;

};
typedef struct klist_list klist_list;

klist_list *klist_list_init();
void klist_list_deinit(klist_list *);


struct klist_task {
    u_int id;
    char *name;
    char *desc;

};
typedef struct klist_task klist_task;

klist_task *klist_task_init();
void klist_task_deinit(klist_task *);